.header {
  width: 100%;
  display: flex;

  @media screen and (min-width: 320px) {
    flex-direction: column;
    align-items: flex-end;
  }

  @media screen and (min-width: 768px) {
    flex-direction: row;
  }

  &__nav {

    @media screen and (min-width: 320px) {
      position: fixed;
      background-color: $bgc__link;
      top: 60px;
      right: -100%;
      transition: 0.5s;

      &_active {
        right: 18px;
      }
    }

    @media screen and (min-width: 768px) {
      position: inherit;
      width: 520px;
      margin: 0 auto;
      transform: translateX(0);
      background-color: #fff;
      display: flex;
      justify-content: space-between;
    }

    @media screen and (min-width: 1200px) {
      width: 815px;
    }
  }


  &__link {
    color: $color__font_main;
    text-transform: uppercase;
    letter-spacing: 1.1px;
    font-size: 11px;

    @media screen and (min-width: 320px) {

      &:hover {
        background-color: $bgc__link_hover;
      }

      display: block;
      padding: 10px 82px 10px 12px;
    }

    @media screen and (min-width: 768px) {
      display: inline;
      padding: 43px 0;

      &:hover {
        color: $color__font_hover;
        background-color: #fff;
      }
    }

  }

}

.menu-button {
  @media screen and (min-width: 320px) {
    padding: 23px 18px 23px 0;

    &__container {
      width: 44px;
      height: 37px;
      background-color: #000;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }

    &__item {
      position: relative;
      width: 17px;
      height: 2px;
      background-color: #fff;

      &::before {
        position: absolute;
        left: 0;
        top: -5px;
        display: block;
        content: "";
        width: 17px;
        height: 2px;
        background-color: #fff;
        transition: transform 0.2s ease-in, top 0.2s linear 0.2s;
      }
      &::after {
        position: absolute;
        left: 0;
        top: 5px;
        display: block;
        content: "";
        width: 17px;
        height: 2px;
        background-color: #fff;
        transition: transform 0.2s ease-in, top 0.2s linear 0.2s;
      }

      &_active {
        background-color: transparent;

        &::after {
          transform: rotate(-45deg);
          top: 0;
          transition: top 0.2s linear, transform 0.2s ease-in 0.2s;
        }

        &::before {
          transform: rotate(45deg);
          top: 0;
          transition: top 0.2s linear, transform 0.2s ease-in 0.2s;
        }
      }

    }
  }
  @media screen and (min-width: 768px) {
    display: none;
  }

}
